Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1839088 - Please support EPEL 8 branch of openvdb
Summary: Please support EPEL 8 branch of openvdb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvdb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1839069
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-22 13:11 UTC by Richard Shaw
Modified: 2020-06-08 00:45 UTC (History)
2 users (show)

Fixed In Version: openvdb-7.0.0-3.fc32 openvdb-7.0.0-3.fc31 openvdb-7.0.0-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-01 01:24:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Shaw 2020-05-22 13:11:26 UTC
I'm working on getting OpenImageIO 2.1 into EPEL 8 and need openvdb. 

FYI, I tried a mock build but there's a problem with blosc, but I've submitted a pull request that hopefully fixes it.

Comment 1 Luya Tshimbalanga 2020-05-22 15:15:00 UTC
Hello Richard,

openvdb has already a branch of EPEL 8 whose spec is on 6.1. Do you need access to that branch?

Comment 2 Richard Shaw 2020-05-22 15:33:25 UTC
Well https://src.fedoraproject.org/rpms/openvdb does not show a build and my build of OIIO is failing. Has it just not been built? If not, probably best to go with 7.0.0.

Comment 3 Luya Tshimbalanga 2020-05-23 02:01:06 UTC
Done. Unfortunately, scratch build showed a failure with  "Could NOT find PythonInterp (missing: PYTHON_EXECUTABLE)" despite the available Python3 requirement. 
https://koji.fedoraproject.org/koji/taskinfo?taskID=44840078

I will check what is missing.

Comment 4 Luya Tshimbalanga 2020-05-23 06:42:46 UTC
It turned out Python3-devel is missing to effectively build on epel8. I don't use CentOS 8 nor RHEL8 for testing meaning I don't know if both provide python3.
https://koji.fedoraproject.org/koji/taskinfo?taskID=44848053

Comment 5 Richard Shaw 2020-05-23 11:34:09 UTC
I think CentOS is fixing this but all EPEL packages build on RHEL I believe. Are the python bindings optional?

I just submitted a buildroot override for blosc which was uninstallable for some reason:

https://bodhi.fedoraproject.org/overrides/blosc-1.17.0-2.el8

Comment 6 Luya Tshimbalanga 2020-05-23 17:54:35 UTC
Python bindings are indeed optional. Additionally, glfw is missing on other architectures in EPEL. 

These issues are addressed specifically for EPEL with the following result:
https://koji.fedoraproject.org/koji/taskinfo?taskID=44870044

Pushing the fix by the time of writing.

Comment 7 Fedora Update System 2020-05-23 18:28:01 UTC
FEDORA-2020-93931e3635 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-93931e3635

Comment 8 Fedora Update System 2020-05-23 18:28:04 UTC
FEDORA-2020-ddfd28488c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ddfd28488c

Comment 9 Fedora Update System 2020-05-23 18:29:55 UTC
FEDORA-2020-9ad1d8b931 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9ad1d8b931

Comment 10 Richard Shaw 2020-05-23 20:22:12 UTC
Thanks!

Comment 11 Fedora Update System 2020-05-24 04:49:17 UTC
FEDORA-2020-ddfd28488c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ddfd28488c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ddfd28488c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-24 04:51:12 UTC
FEDORA-EPEL-2020-7511fc230b has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7511fc230b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-24 05:02:40 UTC
FEDORA-2020-93931e3635 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-93931e3635`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-93931e3635

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-24 05:27:42 UTC
FEDORA-2020-9ad1d8b931 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9ad1d8b931`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9ad1d8b931

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-06-01 01:24:03 UTC
FEDORA-2020-ddfd28488c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-06-01 03:36:57 UTC
FEDORA-2020-93931e3635 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-06-08 00:45:05 UTC
FEDORA-EPEL-2020-7511fc230b has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.